payments.createStarGiftCollection
Create a star gift collection ».
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Create a star gift collection ».
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.createStarGiftCollection" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPeerEmpty" }, "title": "string", "stargift": [ { "_": "inputSavedStarGiftUser", "msgId": 0 } ] } }'{ "result": { "_": "starGiftCollection", "collectionId": 0, "title": "string", "icon": { "_": "documentEmpty", "id": "string" }, "giftsCount": 0, "hash": "string" }}craftStarGift
Craft a new [collectible gift »](https://core.telegram.org/api/gifts#collectible-gifts) by combining 1 to 4 owned collectible gifts of the same base gift type. The passed gifts must all have the same `RawStarGiftUnique`.gift_id, must be usable for crafting, and must not be blocked by a future can_craft_at timestamp. The first passed gift must not be [located on the TON blockchain](https://core.telegram.org/api/gifts#hosted-collectible-gifts).
deleteStarGiftCollection
Delete a [star gift collection »](https://core.telegram.org/api/gifts#gift-collections).